Instagram: User Posts
User Posts from Instagram as JSON. 1 credit per successful call.
GET /v1/instagram/user-postsNeeds terms
Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
username | string | Required | Up to 30 characters |
max_id | string | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/instagram/user-posts?username=natgeo" \
-H "X-API-Key: $API_KEY"